%{?nodejs_find_provides_and_requires}

%global packagename rollup-plugin-commonjs

# tests disabled until we bootstrap a newer version of rollup
%global enable_tests 0

Name:		nodejs-rollup-plugin-commonjs
Version:	9.1.3
Release:	5%{?dist}
Summary:	Convert CommonJS modules to ES2015

License:	MIT
URL:		https://github.com/rollup/rollup-plugin-commonjs.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
# Rollup config
Source11:	https://raw.githubusercontent.com/rollup/rollup-plugin-commonjs/v%{version}/rollup.config.js


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(estree-walker)
BuildRequires:	npm(magic-string)
BuildRequires:	npm(resolve)
BuildRequires:	npm(rollup-pluginutils)


%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(acorn)
BuildRequires:	npm(require-relative)
BuildRequires:	npm(locate-character)
BuildRequires:	npm(rollup)
BuildRequires:	npm(source-map)
BuildRequires:	npm(source-map-support)
BuildRequires:	npm(rollup-plugin-node-resolve)
%endif

%description
Convert CommonJS modules to ES2015


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
# rollup config
cp -p %{SOURCE11} .


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json dist/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 9.1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 9.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 9.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 9.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 30 2018 Jared K. Smith <jsmith@fedoraproject.org> - 9.1.3-1
- Initial packaging
